%define major		1
%define libname		%mklibname glpng %{major}
%define develname	%mklibname glpng -d

Summary:	A toolkit for loading PNG images as OpenGL textures
Name:		libglpng
Version:	1.45
Release:	%mkrel 16
License:	MIT
Group:		System/Libraries
# Upstream's dead
Source0:	http://ftp.de.debian.org/debian/pool/main/libg/%{name}/%{name}_%{version}.orig.tar.gz
# From Debian - a Makefile. Yay.
Source1:	libglpng-1.45-makefile
# Debian patch, couple of small fixes.
Patch0:		libglpng-1.45-debian.patch
Patch2:		glpng-1.45-libpng15.patch
# From Mandriva
Patch1:         libglpng-1.45-CVE-2010-1519.diff
URL:		http://packages.debian.org/libglpng
BuildRequires:	pkgconfig(libpng)
BuildRequires:	GL-devel

%description
glpng is a small toolkit to make loading PNG image files as an OpenGL
texture as easy as possible.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
glpng is a small toolkit to make loading PNG image files as an OpenGL
texture as easy as possible.

%package -n %{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
glpng is a small toolkit to make loading PNG image files as an OpenGL
texture as easy as possible.

%prep
%setup -q -n %{name}-%{version}.orig
%patch0 -p1 -b .debian
%patch1 -p0 -b .CVE-2010-1519
%patch2 -p1 -b .libpng15

install -m 0644 %{SOURCE1} ./Makefile

%build
%make_build CFLAGS="%{optflags} -fPIC -I ./include"

%install
%make_install DESTDIR=%{buildroot}%{_prefix}

rm -rf %{buildroot}%{_docdir}

%ifarch x86_64 aarch64
mv %{buildroot}%{_prefix}/lib %{buildroot}%{_libdir}
%endif

rm -rf %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc glpng.htm Example/
%{_includedir}/GL/glpng.h
%{_libdir}/%{name}.so


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.45-16.mga8
+ Revision: 1514109
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.45-15.mga7
+ Revision: 1298873
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 wally <wally> 1.45-14.mga7
+ Revision: 1239132
- fix build on aarch64
- drop static devel files
+ kekepower <kekepower>
- Use make_build

* Thu Feb 11 2016 umeabot <umeabot> 1.45-13.mga6
+ Revision: 955468
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 1.45-12.mga6
+ Revision: 892787
- fix empty debugfiles (permissions of libraries must be 0755 instead of 0644)

* Wed Oct 15 2014 umeabot <umeabot> 1.45-11.mga5
+ Revision: 748888
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.45-10.mga5
+ Revision: 681491
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.45-9.mga4
+ Revision: 525867
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 1.45-8.mga4
+ Revision: 434820
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.45-7.mga3
+ Revision: 357233
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 28 2011 dmorgan <dmorgan> 1.45-6.mga2
+ Revision: 188317
- Removee subrel
- Add patch for CVE-2010-1519

* Sun Sep 11 2011 fwang <fwang> 1.45-5.mga2
+ Revision: 142429
- fix build with libpng 1.5
- rebuild for new libpng

* Wed May 11 2011 dmorgan <dmorgan> 1.45-4.mga1
+ Revision: 97343
- imported package libglpng


* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 1.45-4mdv2010.0
+ Revision: 449879
- rediff patch (from Arnaud Patard)

* Tue Dec 09 2008 Adam Williamson <awilliamson@mandriva.org> 1.45-3mdv2009.1
+ Revision: 312108
- quick fix for x86-64
- build with -fPIC (needed for x86-64)
- buildrequires GL-devel
- fix leftover buildrequires
- import libglpng


